use super::*;

pub async fn on_get_abyss_info(
    _session: &NetSession,
    _player: &mut Player,
    _req: GetAbyssInfoCsReq,
) -> NetResult<GetAbyssInfoScRsp> {
    Ok(GetAbyssInfoScRsp {
        retcode: Retcode::RetSucc.into(),
        abyss_info: Some(AbyssInfo::default()),
        abyss_group_list: Vec::new(),
        ..Default::default()
    })
}

pub async fn on_get_completed_abyss_group_list(
    _session: &NetSession,
    _player: &mut Player,
    _req: GetCompletedAbyssGroupListCsReq,
) -> NetResult<GetCompletedAbyssGroupListScRsp> {
    Ok(GetCompletedAbyssGroupListScRsp {
        retcode: Retcode::RetSucc.into(),
        ..Default::default()
    })
}
